Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.corelib.components
Class FormInjector

    java.lang.Object
      org.apache.tapestry5.corelib.components.FormInjector

All Implemented Interfaces:
  ClientElement

    @SupportsInformalParameters
    @Events(value="action")
    public class FormInjector

extends java.lang.Object
implements ClientElement

A way to add new content to an existing Form. The FormInjector emulates its tag from the template (or uses a <div>). When triggered, new content is obtained from the application and is injected before or after the element.

On the client side, a new function, trigger(), is added to the element. Invoking this client-side function will trigger the FormInjector; a request is sent to the server, new content is generated, and the new content is placed before or after (per configuration) the existing FormInjector element.

Component Parameters
Name | Description | Type | Flags | Default | Default Prefix | Since
--- | --- | --- | --- | --- | --- | ---
context | The context for the link (optional parameter). This list of values will be converted into strings and included in the URI. The strings will be coerced back to whatever their values are and made available to event handler methods. | Object |  |  | prop |
element | The element name to render, which is normally the element name used to represent the FormInjector component in the template, or "div". | String |  |  | literal |
position |  | org.apache.tapestry5.corelib.data.InsertPosition |  | symbol:tapestry.components.forminjector_insert_position | literal |
show | Name of a function on the client-side Tapestry.ElementEffect object that is invoked to make added content visible. The default value is "highlight". | String |  | symbol:tapestry.components.forminjector_show_function | literal |

Events:

action

Field Summary
`static java.lang.String` | `INJECT_EVENT`

Constructor Summary
`FormInjector()`

Method Summary
`java.lang.String` | `getClientId()` Returns the unique client-side id of the rendered element.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INJECT_EVENT

    public static final java.lang.String INJECT_EVENT

See Also:
  Constant Field Values

Constructor Detail

### FormInjector

    public FormInjector()

Method Detail

### getClientId

    public java.lang.String getClientId()

  Returns the unique client-side id of the rendered element.

  Specified by:
    `getClientId` in interface `ClientElement`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.